import java.awt.*;
import java.util.*;
import java.math.*;

// SilverStream imports
//----- Java imports -----
import javax.ejb.*;
import java.rmi.*;
import java.security.*;
import java.security.*;

public class sbFieldLevelValidationHome extends AgoEJBSessionHome implements fieldLevelValidationHome
{

	// ------ Method constant declarations ------

	static final public int METHOD_getEJBMetaData_void = 0;
	static final public int METHOD_getHomeHandle_void = 1;
	static final public int METHOD_remove_javaLangObject = 3;
	static final public int METHOD_create_void = 2;
	static final public int METHOD_isValid_javaUtilHashtable = 5;
	static final public int METHOD_remove_void = 4;
	static final public int METHOD_remove_javaxEjbHandle = 6;

	public sbFieldLevelValidationHome() throws java.rmi.RemoteException
	{
	}

	// ------ Create methods ------

	public fieldLevelValidation create() throws javax.ejb.CreateException, java.rmi.RemoteException
	{
		AgoEJBCompletionAction action = null;
		try
		{
			// this check encompasses removed/discarded, reentrancy, security checking
			action = checkEJBBegin(METHOD_create_void, 2); // 1st arg is index into depl info, 2nd is txType
			AgoEJBSessionContext ctxt = super.newContext();
			fieldLevelValidationBean b = (fieldLevelValidationBean) super.createBean(action, ctxt);
			EJBObject e = super.create(b);
			e = export(e, b, ctxt);
			b.ejbCreate();
			return (fieldLevelValidation)e;
		}
		catch (javax.ejb.CreateException ex0)
		{
			throw ex0;
		}
		catch (Throwable ex)
		{
			throw handleSystemExceptions(ex, action);
		}
		finally
		{
			checkEJBEnd(action);
		}
	}


	// ------ remove methods ------

	public void remove(Handle handle) throws RemoveException, java.rmi.RemoteException
	{
		AgoEJBCompletionAction action = null;
		try
		{
			// this check encompasses removed/discarded, reentrancy, security checking
			action = checkEJBBegin(METHOD_remove_javaxEjbHandle, 2); // 1st arg is index into depl info, 2nd is txType
			super.remove(handle);
		}
		catch (RemoveException ex0)
		{
			throw ex0;
		}
		catch (Throwable ex)
		{
			throw handleSystemExceptions(ex, action);
		}
		finally
		{
			checkEJBEnd(action);
		}
	}
	public void remove(java.lang.Object primaryKey) throws RemoveException, java.rmi.RemoteException
	{
		AgoEJBCompletionAction action = null;
		try
		{
			// this check encompasses removed/discarded, reentrancy, security checking
			action = checkEJBBegin(METHOD_remove_javaLangObject, 2); // 1st arg is index into depl info, 2nd is txType
			super.remove(primaryKey);
		}
		catch (RemoveException ex0)
		{
			throw ex0;
		}
		catch (Throwable ex)
		{
			throw handleSystemExceptions(ex, action);
		}
		finally
		{
			checkEJBEnd(action);
		}
	}
} 
