import java.awt.*;
import java.util.*;
import java.math.*;

// SilverStream imports
//----- Java imports -----
import javax.ejb.*;
import java.rmi.*;
import java.security.*;
import java.security.*;
//----- SilverStream imports -----
import com.sssw.srv.ejb.*;
import com.sssw.srv.api.*;
import com.sssw.srv.ambry.*;
import com.sssw.rt.util.*;
import com.sssw.rt.ejb.*;

public class sbFieldLevelValidationObject extends AgoEJBSessionObject implements fieldLevelValidation
{

	// ------ Method constant declarations ------

	static final public int METHOD_getEJBMetaData_void = 0;
	static final public int METHOD_getHomeHandle_void = 1;
	static final public int METHOD_remove_javaLangObject = 3;
	static final public int METHOD_create_void = 2;
	static final public int METHOD_isValid_javaUtilHashtable = 5;
	static final public int METHOD_remove_void = 4;
	static final public int METHOD_remove_javaxEjbHandle = 6;

	protected int m_callCount;
	public sbFieldLevelValidationObject() throws java.rmi.RemoteException
	{
		
		m_callCount = 0;
	}

	// ------ Remote Interface methods ------

	public java.util.Hashtable isValid(java.util.Hashtable javaUtilHashtable0) throws java.rmi.RemoteException
	{
		AgoEJBCompletionAction action = null;
		try
		{
			// this check encompasses removed/discarded, reentrancy, security checking
			action = checkEJBBegin(METHOD_isValid_javaUtilHashtable, 2); // 1st arg is index into depl info, 2nd is txType
			fieldLevelValidationBean b = (com.tgtg.TGTGieldLevelValidationBean) getBean(action);
			java.util.Hashtable r = b.isValid(javaUtilHashtable0);
			return r;
		}
		catch (Throwable ex)
		{
			throw handleSystemExceptions(ex, action);
		}
		finally
		{
			checkEJBEnd(action);
		}
	}

	public void remove() throws RemoveException, java.rmi.RemoteException
	{
		AgoEJBCompletionAction action = null;
		try
		{
			// this check encompasses removed/discarded, reentrancy, security checking
			action = checkEJBBegin(METHOD_remove_void, 2); // 1st arg is index into depl info, 2nd is txType
			super.remove();
		}
		catch (RemoveException ex0)
		{
			throw ex0;
		}
		catch (Throwable ex)
		{
			throw handleSystemExceptions(ex, action);
		}
		finally
		{
			checkEJBEnd(action);
		}
	}
}
