package destination;

import javax.jms.Topic;
import javax.jms.TopicConnectionFactory;

import javax.naming.Context;
import javax.naming.InitialContext;

import com.sssw.jms.api.JMQTopic;
import com.sssw.jms.api.JMQDestination;
import com.sssw.jms.api.JMQTopicConnection;
import com.sssw.jms.api.JMQTopicConnectionFactory;

import com.sssw.jms.api.admin.JMQDestinationAdmin;

public class CreateTopic
{
    public static void main(String[] args) throws Exception
    {
	// get the initial context
	InitialContext ctx = new InitialContext();

	// create a destination topic

	// create a JMS Topic Connection
	TopicConnectionFactory tconFactory = (TopicConnectionFactory) ctx.
	    lookup("topic/connectionFactory");
	JMQTopicConnection topicConn = (JMQTopicConnection) tconFactory.
	    createTopicConnection();

	// create a topic
	String topicName = (args.length > 0) ? args[0] : "myTopic";
	JMQDestinationAdmin destAdmin = topicConn.getDestinationAdmin();
	Topic topic = (Topic) destAdmin.createDestination(topicName,
	    JMQDestination.TOPIC, null);
	System.out.println("Created topic: "+topicName);

	// close the topic connection
	topicConn.close();
    }
}